use super::Tab;
use crate::App;

#[derive(Debug, Default, PartialEq, Eq)]
pub struct MetarTab {}

impl Tab for MetarTab {
    fn display_tab(&mut self, app: &mut App, ctx: &egui::Context) {

        egui::CentralPanel::default()            
            .show(ctx, |ui| {
                for icao in app.icaos.iter_mut() {
                    ui.text_edit_singleline(icao);
                }
        
                if ui.button("Add More").clicked() || ui.input(|i| i.key_pressed(egui::Key::Tab)) {
                    app.icaos.push("".to_string());
                }
            });
        
    }
}